Export submissions
curl --request POST \
--url https://{your-subdomain}.neetoform.com/api/external/v2/forms/{form_id}/exports \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <x-api-key>' \
--data '
{
"submission_ids": [
"<string>"
],
"recipient_email": "oliver@example.com",
"include_hidden_fields": false,
"include_meta_data": false,
"include_question_descriptions": false
}
'const options = {
method: 'POST',
headers: {'X-Api-Key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
submission_ids: ['<string>'],
recipient_email: 'oliver@example.com',
include_hidden_fields: false,
include_meta_data: false,
include_question_descriptions: false
})
};
fetch('https://{your-subdomain}.neetoform.com/api/external/v2/forms/{form_id}/exports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetoform.com/api/external/v2/forms/{form_id}/exports"
payload = {
"submission_ids": ["<string>"],
"recipient_email": "oliver@example.com",
"include_hidden_fields": False,
"include_meta_data": False,
"include_question_descriptions": False
}
headers = {
"X-Api-Key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": "queued",
"export_type": "csv",
"recipient_email": "oliver@example.com"
}{
"error": "Form does not exist."
}{
"error": "export_type must be one of: pdf, csv, xlsx."
}Submissions
Export submissions
Export submissions as a CSV, XLSX or PDF file. The file is not returned in the response. It is made in the background, and a download link is emailed to the recipient. The link works for 15 days. If no submissions match, no email is sent.
POST
/
forms
/
{form_id}
/
exports
Export submissions
curl --request POST \
--url https://{your-subdomain}.neetoform.com/api/external/v2/forms/{form_id}/exports \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <x-api-key>' \
--data '
{
"submission_ids": [
"<string>"
],
"recipient_email": "oliver@example.com",
"include_hidden_fields": false,
"include_meta_data": false,
"include_question_descriptions": false
}
'const options = {
method: 'POST',
headers: {'X-Api-Key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
submission_ids: ['<string>'],
recipient_email: 'oliver@example.com',
include_hidden_fields: false,
include_meta_data: false,
include_question_descriptions: false
})
};
fetch('https://{your-subdomain}.neetoform.com/api/external/v2/forms/{form_id}/exports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetoform.com/api/external/v2/forms/{form_id}/exports"
payload = {
"submission_ids": ["<string>"],
"recipient_email": "oliver@example.com",
"include_hidden_fields": False,
"include_meta_data": False,
"include_question_descriptions": False
}
headers = {
"X-Api-Key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": "queued",
"export_type": "csv",
"recipient_email": "oliver@example.com"
}{
"error": "Form does not exist."
}{
"error": "export_type must be one of: pdf, csv, xlsx."
}Replace
Learn how to find your subdomain in Workspace subdomain.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Path Parameters
Unique ID of the form for which you want to retrieve submissions. Refer to Getting the Form ID section for detailed instructions.
Body
application/json
File format of the export.
Available options:
pdf, csv, xlsx IDs of the submissions to export. If you leave it out, all submissions are exported.
Email of an active team member in the workspace who gets the download link. Required when you use an API key.
Example:
"oliver@example.com"